{
  "name": "@diva.exchange/assetmanager",
  "version": "0.1.0",
  "description": "diva - Distributed value exchange upholding security, reliability and privacy",
  "bin": "dist/main.js",
  "keywords": [
    "blockchain",
    "diva.exchange",
    "bitcoin",
    "btc",
    "monero",
    "xmr",
    "ethereum",
    "eth"
  ],
  "author": "Konrad Baechler <konrad@diva.exchange> (https://diva.exchange)",
  "license": "AGPL-3.0-or-later",
  "repository": {
    "type": "git",
    "url": "https://codeberg.org/diva.exchange/asset.git"
  },
  "scripts": {
    "build": "bin/build.sh",
    "clean": "rm -rf dist/*",
    "lint": "prettier -w \"src/**/*.ts\" \"test/**/*.ts\" ; eslint --fix --ext .ts src/ test/",
    "start": "NODE_ENV=production node dist/main.js | pino-pretty -t -i pid,hostname",
    "start-dev": "NODE_ENV=development ts-node --files src/main.ts | pino-pretty -t -i pid,hostname",
    "postinstall": "ts-node --files src/version.ts"
  },
  "pkg": {
    "scripts": "dist/**/*.js",
    "assets": [
      "static/**/*"
    ],
    "targets": [
      "node14-linux-x64"
    ]
  },
  "dependencies": {
    "compression": "^1.7.4",
    "express": "^4.17.3",
    "http-errors": "^2.0.0",
    "pino": "^7.8.0",
    "simple-get": "^4.0.1"
  },
  "devDependencies": {
    "@cspotcode/source-map-support": "^0.7.0",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@testdeck/mocha": "^0.2.0",
    "@tsconfig/node14": "^1.0.1",
    "@types/chai": "^4.3.0",
    "@types/compression": "^1.7.2",
    "@types/express": "^4.17.13",
    "@types/express-serve-static-core": "^4.17.28",
    "@types/http-errors": "^1.8.2",
    "@types/mocha": "^9.1.0",
    "@types/node": "^17.0.21",
    "@typescript-eslint/eslint-plugin": "^5.13.0",
    "@typescript-eslint/parser": "^5.13.0",
    "chai": "^4.3.6",
    "chai-http": "^4.3.0",
    "eslint": "^8.10.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.0.0",
    "mocha": "^9.2.1",
    "nyc": "^15.1.0",
    "pino-pretty": "^7.5.3",
    "pkg": "^5.5.2",
    "prettier": "^2.5.1",
    "ts-node": "^10.7.0",
    "typescript": "^4.6.2"
  }
}
